Loading...
Searching...
No Matches
BALL::VIEW::DatasetMessage Class Reference

`#include <BALL/VIEW/KERNEL/message.h>`

Inheritance diagram for BALL::VIEW::DatasetMessage:

## Public Types

enum | Type { UNDEFINED = -1 , ADD = 0 , REMOVE , UPDATE , SELECTED , VISUALIZE , VISUALIZE_END = 100 }
| Message type enumeration. More...

## Public Member Functions

| DatasetMessage (Dataset *set=0, Type type=UNDEFINED)
| DatasetMessage (const DatasetMessage &msg)
Type | getType () const
void | setType (Type type)
Dataset * | getDataset () const
void | setDataset (Dataset *set)
bool | isValid () const
Public Member Functions inherited from BALL::VIEW::Message
| Message ()
| Message (const Message &message)
virtual | ~Message ()
void | setSender (const ConnectionObject *sender)
const ConnectionObject * | getSender () const
void | setDeletable (bool flag=true)
bool | isDeletable () const
boost::any & | data ()

## Protected Attributes

Dataset * | dataset_
Type | type_
String | dataset_type_

## Detailed Description

Message to notify about changes in a Dataset. This message can be e.g. used to notify all ModularWidget about a new DockResult, Trajectory or any other kind of dataset. The Dataset contains the information on the kind of data it contains. The receiving widget thus has to query the type of the message and the the type of the Dataset.

See also
  Dataset
  DatasetController
  DatasetControl

Definition at line 137 of file message.h.

## Member Enumeration Documentation

## Type

enum BALL::VIEW::DatasetMessage::Type

Message type enumeration.

Enumerator
UNDEFINED | Default Value.
ADD | To add.
REMOVE | To be removed.
UPDATE | Update.
SELECTED | Was selected in Control.
VISUALIZE |
VISUALIZE_END | Allow >90 different kinds of visualization.

Definition at line 143 of file message.h.

## Constructor & Destructor Documentation

## DatasetMessage() [1/2]

BALL::VIEW::DatasetMessage::DatasetMessage | ( | Dataset * | set = 0,
|  | Type | type = UNDEFINED )

## DatasetMessage() [2/2]

BALL::VIEW::DatasetMessage::DatasetMessage | ( | const DatasetMessage & | msg | ) |

## Member Function Documentation

## getDataset()

Dataset * BALL::VIEW::DatasetMessage::getDataset | ( |  | ) | const

inline

Definition at line 180 of file message.h.

## getType()

Type BALL::VIEW::DatasetMessage::getType | ( |  | ) | const

inline

Definition at line 174 of file message.h.

## isValid()

bool BALL::VIEW::DatasetMessage::isValid | ( |  | ) | const

## setDataset()

void BALL::VIEW::DatasetMessage::setDataset | ( | Dataset * | set | ) |

inline

Definition at line 183 of file message.h.

## setType()

void BALL::VIEW::DatasetMessage::setType | ( | Type | type | ) |

inline

Definition at line 177 of file message.h.

## Member Data Documentation

## dataset_

Dataset* BALL::VIEW::DatasetMessage::dataset_

protected

Definition at line 190 of file message.h.

## dataset_type_

String BALL::VIEW::DatasetMessage::dataset_type_

protected

Definition at line 192 of file message.h.

## type_

Type BALL::VIEW::DatasetMessage::type_

protected

Definition at line 191 of file message.h.